spring:
  cloud:
    config:
      allow-override: true
      override-none: false
      override-system-properties: false
    server.git.default-label: main
  data:
    web:
      pageable:
        max-page-size: 1000
    redis:
      host: redis
      port: 6379
      ssl:
        enabled: false
  flyway:
    schemas: ${spring.jpa.properties.hibernate.default_schema}
  datasource:
    url: jdbc:postgresql://host.docker.internal:5432/taskbridge
    username: postgres
    password: 1qaz@WSX3edc
    hikari:
      maximum-pool-size: 20
  jackson:
    serialization:
      WRITE_DATES_AS_TIMESTAMPS: false

spring.kafka.bootstrap-servers: kafka:9092
spring.cloud:
  function:
    definition: tokenCreatedHandler;tokenRevokedHandler
  stream:
    default-binder: kafka
    kafka.binder:
      zkNodes: zookeeper3
      brokers: kafka
      defaultZkPort: 2181
      defaultBrokerPort: 9092
      autoAddPartitions: true
      configuration:
        max.request.size: 20971520
    bindings:
      tokenCreatedHandler-in-0:
        destination: access-token-created-stream
      tokenRevokedHandler-in-0:
        destination: access-token-revoked-stream

server:
  port: 8080
  max-http-header-size: 1MB
  compression:
    enabled: true
    mime-types: application/json
    min-response-size: 256
  tomcat:
    mbeanregistry.enabled: true
    max-connection: 10000
    accept-count: 500
    threads:
      max: 1000
      min-spare: 50
  servlet:
    encoding:
      charset: UTF-8
      force: true

management:
  trace:
    http:
      include: AUTHORIZATION_HEADER,COOKIE_HEADERS,PRINCIPAL,REMOTE_ADDRESS,REQUEST_HEADERS,RESPONSE_HEADERS,SESSION_ID,TIME_TAKEN
management.endpoints.web.base-path: /application
management.endpoint.metrics.enabled: true
management.endpoints.web.exposure.include: health,prometheus
health.config.enabled: false
management.metrics.enable.kafka: false

eureka:
  client:
    serviceUrl:
      defaultZone: http://eureka:8761/eureka
  instance:
    preferIpAddress: false
    lease-renewal-interval-in-seconds: 5
    lease-expiration-duration-in-seconds: 10
    instanceId: ${HOSTNAME}:${spring.application.name}:${server.port}
    hostName: ${HOSTNAME}
  server:
    peer-node-read-timeout-ms: 10000
    expected-client-renewal-interval-seconds: 30

logging:
  config: http://config:8888/default/default/default/logback.xml
  level:
    org.apache:
      http.headers: INFO
      kafka:
        common.utils.AppInfoParser: WARN
        clients:
          consumer: ERROR
          producer: ERROR
    org.hibernate: INFO
    org.springframework:
      cloud.config.client: WARN
      security: INFO
    pl.com.rszewczyk: TRACE

jwt-token-expiration:
  access-token-expiration-time: 900
  refresh-token-expiration-time: 1800

rsa:
  rsa-public-key: classpath:certs/public-key.pem
  rsa-private-key: classpath:certs/private-key.pem

stack.user.feign.url: http://user:8080


